iCalendlyDeveloper Docs
Event types

DELDelete an event type

Permanently deletes a specific event type and removes it from the user's booking page.

DELETE/v2/event-types/{eventTypeId}

Path Parameters

eventTypeIdRequirednumber

Header Parameters

ical-api-versionRequiredstring

Must be set to 2024-06-14. If not set to this value, the endpoint will default to an older version.

Default: "2024-06-14"
AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X DELETE "https://example.com/v2/event-types/0" \
  -H "ical-api-version: 2024-06-14" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": {
    "id": 1,
    "lengthInMinutes": 60,
    "title": "Learn the secrets of masterchief!",
    "slug": "string"
  }
}